<?PHP
	$sitename = "The QuakeForge Project";
	$pagename = "Developer Tools";
	require("parts/library.php");				// Load function library
	include("parts/head.php"); 				// Load the HEAD and open BODY
	include("parts/topstrip.php");			// Display top strip
	include("parts/titletable.php"); 		// Display main title w/ logos
?>
<TABLE width="100%" cellspacing=0 cellpadding=0 border=0>
	<TR valign="top">
		<?php
			include("parts/menu.php"); 			// Import left-side menus
			tableSpacer( 1, 9, 1, "black");		// Separate content from menus
		?>
		<TD width="100%">
			<?php
				$focused = "none";					// name of focused icon
				include( "parts/topmain.php" );	// Display content top table
			?>
			<P>The tools on this page are referenced here as a service to developers and prospective developers for QuakeForge.

			<H2>CVS (Concurrent Versioning System)</H2>
			<P>CVS is a program that we use to manage our source tree among multiple developers at a variety of locations.

			<DL>
				<DT>All platforms:</DT>
					<DD>The <A href="http://www.gnu.org/manual/cvs/">CVS Manual</A> is available from the <A href="http://www.gnu.org/">GNU Project</A>.</DD>
					<DD>An <A href="http://www.loria.fr/cgi-bin/molli/wilma.cgi/doc.847210383.html">online version</A> of &quot;Version Management with CVS&quot; by Per Cederqvist, is available from Pascal Molli's <A href="http://www.loria.fr/~molli/cvs-index.html">CVS page</A>.</DD>
				<DT>UNIX and Unix-like systems:</DT>
					<DD>You can get a copy of CVS from the <A href="ftp://ftp.gnu.org/gnu/cvs/">GNU FTP site</A>.</DD>
					<DD><A href="http://www.wincvs.org/download.html">gCvs</A> is a GTK+ client for CVS with a more friendly interface.</DD>
					<DD><A href="http://home.earthlink.net/~nawalker/pharmacy/">Pharmacy</a> is a GNOME front-end to CVS.</DD>
				<DT>Windows 95, 98, NT, and Windows 2000:</DT>
					<DD>You can get a patched copy of CVS from Gordon Chaffee's <A href="http://bmrc.berkeley.edu/people/chaffee/winntutil.html">Windows NT Utilities</A> page.</DD>
					<DD><A href="http://www.wincvs.org/download.html">WinCvs</A> is a good Windows CVS client with a more friendly interface.</DD>
				<DT>Mac OS:</DT>
					<DD><A href="http://www.wincvs.org/download.html">MacCvs</A> is an excellent Macintosh CVS client.</DD>
				<DT>BeOS:</DT>
					<DD>CVS is part of the <a href="http://www.be.com/software/beware/development/gccegcs.html">GCC/EGCS toolset</A> available from <A href="http://www.be.com/software/beware/">BeWare</A>.</DD>
				<DT>OS/2 Warp:</DT>
					<DD><A href="http://www.sourcegear.com/">SourceGear</A> has a version of CVS for OS/2 on their <A href="http://download.cyclic.com/pub/os2/">Download site</A>.</DD>
			</DL>
			<H2>SSH (Secure Shell)</H2>
			<P>SSH (along with a SourceForge account and developer status in QuakeForge) is required to be able to write to the QuakeForge CVS repository. Clients for various operating environments may be found below.
			<DL>
				<DT>UNIX and Unix-like systems:</DT>
					<DD><A href="http://www.openssh.org">OpenSSH</A>, being Free Software, is our recommended SSH implementation.</DD>
					<DD>There is also an <A href="ftp://ftp.ssh.com/pub/ssh/">anti-commercial, non-free implementation</A> available from <A href="http://www.ssh.com/">SSH Communications</A>.</DD>
				<DT>Windows 95, 98, NT, and Windows 2000:</DT>
					<DD>You can also get an SSH client from Gordon Chaffee's <A href="http://bmrc.berkeley.edu/people/chaffee/winntutil.html">Windows NT Utilities</A> page.</DD>
			</DL>
		</TD>
		<?php
			tableSpacer( 1, 9, 1, "black");
		?>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<?php
				include("parts/copyright.php");
			?>
		</TD>
	</TR>
</TABLE>
